## org.apache.catalina.valves
Class AccessLogValve.ProtocolElement

    java.lang.Object
      org.apache.catalina.valves.AccessLogValve.ProtocolElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  AccessLogValve

    protected class AccessLogValve.ProtocolElement

extends java.lang.Object
implements AccessLogValve.AccessLogElement

write request protocol - %H

Constructor Summary
`protected` `AccessLogValve.ProtocolElement()`

Method Summary
`void` `addElement(java.lang.StringBuffer buf, java.util.Date date, Request request, Response response, long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessLogValve.ProtocolElement

    protected AccessLogValve.ProtocolElement()

Method Detail

### addElement

    public void addElement(java.lang.StringBuffer buf,
                           java.util.Date date,
                           Request request,
                           Response response,
                           long time)

  Specified by:
    `addElement` in interface `AccessLogValve.AccessLogElement`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.